org.apache.fop.render.rtf.rtflib.rtfdoc

## Class RtfAttributes

- java.lang.Object
- - org.apache.fop.render.rtf.rtflib.rtfdoc.RtfAttributes

All Implemented Interfaces:
  Cloneable

Direct Known Subclasses:
  FOPRtfAttributes

    public class RtfAttributes
    extends Object
    implements Cloneable

Attributes for RtfText.

This work was authored by Bertrand Delacretaz (bdelacretaz@codeconsult.ch).

### Constructor Summary

Constructors
Constructor and Description
`RtfAttributes()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addIntegerValue(int addValue, String name)` Add integer value `addValue` to attribute with name `name`.
`Object` `clone()`
`Object` `getValue(String name)`
`Integer` `getValueAsInteger(String name)` Returns a value as an Integer.
`Attributes` `getXslAttributes()` Added by Normand Masse Used for attribute inheritance
`boolean` `isSet(String name)`
`Iterator` `nameIterator()`
`RtfAttributes` `set(RtfAttributes attrs)` Set attributes from another attributes object
`RtfAttributes` `set(String name)` set an attribute that has no value.
`RtfAttributes` `set(String name, int value)` Set an attribute that has an integer value
`RtfAttributes` `set(String name, RtfAttributes value)` Set an attribute that has nested attributes as value
`RtfAttributes` `set(String name, String type)` Set an attribute that has a String value
`void` `setXslAttributes(Attributes pAttribs)` Added by Normand Masse Used for attribute inheritance
`String` `toString()` debugging log
`RtfAttributes` `unset(String name)` unset an attribute that has no value

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RtfAttributes

    public RtfAttributes()

### Method Detail

#### set

    public RtfAttributes set(RtfAttributes attrs)

Set attributes from another attributes object

Parameters:
  `attrs` - RtfAttributes object whose elements will be copied into this instance
Returns:
  this object, for chaining calls

#### set

    public RtfAttributes set(String name)

set an attribute that has no value.

Parameters:
  `name` - name of attribute to set
Returns:
  this object, for chaining calls

#### unset

    public RtfAttributes unset(String name)

unset an attribute that has no value

Parameters:
  `name` - name of attribute to unset
Returns:
  this object, for chaining calls

#### toString

    public String toString()

debugging log

Overrides:
  `toString` in class `Object`
Returns:
  String representation of object

#### clone

    public Object clone()
                 throws CloneNotSupportedException

Overrides:
  `clone` in class `Object`
Throws:
  `CloneNotSupportedException`

#### set

    public RtfAttributes set(String name,
                             int value)

Set an attribute that has an integer value

Parameters:
  `name` - name of attribute
  `value` - value of attribute
Returns:
  this (which now contains the new entry), for chaining calls

#### set

    public RtfAttributes set(String name,
                             String type)

Set an attribute that has a String value

Parameters:
  `name` - name of attribute
  `type` - value of attribute
Returns:
  this (which now contains the new entry)

#### set

    public RtfAttributes set(String name,
                             RtfAttributes value)

Set an attribute that has nested attributes as value

Parameters:
  `name` - name of attribute
  `value` - value of the nested attributes
Returns:
  this (which now contains the new entry)

#### getValue

    public Object getValue(String name)

Parameters:
  `name` - String containing attribute name
Returns:
  the value of an attribute, null if not found

#### getValueAsInteger

    public Integer getValueAsInteger(String name)

Returns a value as an Integer. The value is simply cast to an Integer.

Parameters:
  `name` - String containing attribute name
Returns:
  the value of an attribute, null if not found

#### isSet

    public boolean isSet(String name)

Parameters:
  `name` - String containing attribute name
Returns:
  true if given attribute is set

#### nameIterator

    public Iterator nameIterator()

Returns:
  an Iterator on all names that are set

#### getXslAttributes

    public Attributes getXslAttributes()

Added by Normand Masse Used for attribute inheritance

Returns:
  Attributes

#### setXslAttributes

    public void setXslAttributes(Attributes pAttribs)

Added by Normand Masse Used for attribute inheritance

Parameters:
  `pAttribs` - attributes

#### addIntegerValue

    public void addIntegerValue(int addValue,
                                String name)

Add integer value `addValue` to attribute with name `name`. If there is no such setted attribute, then value of this attribure is equal to `addValue`.

Parameters:
  `addValue` - the increment of value
  `name` - the name of attribute